package jp.mosp.payroll.dto;

public class DetailPbDto extends DetailTimeDto {
	
	private static final long serialVersionUID = -2359702330563693202L;
	
	/**
	 * 上位明細コード。<br>
	 */
	private String upperCode;
	
	/**
	 * 集計区分。<br>
	 */
	private byte totalType;
	
	/**
	 * 表示区分。<br>
	 */
	private byte viewType;

	/**
	 * 集計区分を取得する。
	 * @return 集計区分
	 */
	public byte getTotalType() {
		return totalType;
	}

	/**
	 * 集計区分を設定する。
	 * @param totalType 設定する集計区分
	 */
	public void setTotalType(byte totalType) {
		this.totalType = totalType;
	}

	/**
	 * 上位明細コードを取得する。
	 * @return 上位明細コード
	 */
	public String getUpperCode() {
		return upperCode;
	}

	/**
	 * 上位明細コードを設定する。
	 * @param upperCode 設定する上位明細コード
	 */
	public void setUpperCode(String upperCode) {
		this.upperCode = upperCode;
	}

	/**
	 * 表示区分を取得する。
	 * @return 表示区分
	 */
	public byte getViewType() {
		return viewType;
	}

	/**
	 * 表示区分を設定する。
	 * @param viewType 設定する表示区分
	 */
	public void setViewType(byte viewType) {
		this.viewType = viewType;
	}
	
}
